{% load i18n %}

{% block content %}

  <div id="divModal_extend" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="vertical-alignment-helper">
      <div class="modal-dialog vertical-align-center">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
            <span class="modal-title">{% trans "Pedido de Extensão do Sistema" %} ID:<span id="deploy_label"></span></span>
          </div>
          <div class="modal-body">

            <form id="extend_form" class="form" method="post" style="margin-top: -10px;">{% csrf_token %}
              {% include "front/form.html" %}
              <h5 id="extend_form_error" class="text-warning"></h5>

              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">{% trans "Fechar" %}</button>
                <button id="btn_send" class="btn btn-primary">{% trans "Enviar" %}</button>
              </div>
            </form>

          </div>
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript">
    // Send request to extend deploy period button
    $('#btn_send').click(function(e){
        // Validate form
        var to_date = $("input[name='to_date']").val();
        var motive = $("textarea[name='motive']").val();

        if (!motive || !to_date) {
            $('#extend_form_error').html('{% trans "Todos os campos são obrigatórios." %}');
        } else {
            // First disable button to prevent multiple calls
            $(this).attr('disabled', '');
            // Add some animation
            var btn = $(this);
            var btnlbl = btn.html().replace('<span class="glyphicon glyphicon-repeat spin"></span> ', '');
            btn.html('<span class="glyphicon glyphicon-repeat spin"></span> ' + btnlbl);

            // Send email via server-side
            $.ajax({
                type: 'POST',
                url: '{% url 'front:extend_deploy' %}',
                data: $('#extend_form').serialize(),
                success: function(data) {
                    $('#divModal_extend').modal('hide');

                    if (data['msg']) {
                        $('#msg_str').html(data['msg']);
                        $('#divModal_msg').modal('show');
                    }

                    // Reset button
                    btn.removeAttr('disabled');
                    btn.html(btnlbl);
                },
                error: function(e, x, r) {
                    console.log(r + ' - ' + e);
                    $("#extend_form_error").html('{% trans "Ocorreu um erro! Por favor tente mais tarde." %}');

                    // Reset button
                    btn.removeAttr('disabled');
                    btn.html(btnlbl);
                }
            });
        }
        e.preventDefault();
    });
  </script>

{% endblock content %}